package com.uavps.system.mapper;

import com.uavps.system.domain.UavpsAlgorithmTaskFormation;
import com.uavps.system.domain.UavpsMultiTargetFormation;

import java.util.List;

/**
 * 算法任务和多目标集群关联Mapper接口
 *
 * @author ruoyi
 * @date 2025-02-18
 */
public interface UavpsAlgorithmTaskFormationMapper {
    /**
     * 查询算法任务和多目标集群关联
     *
     * @param algorithmTaskId 算法任务和多目标集群关联主键
     * @return 算法任务和多目标集群关联
     */
    public UavpsAlgorithmTaskFormation selectUavpsAlgorithmTaskFormationByAlgorithmTaskId(Long algorithmTaskId);

    /**
     * 查询算法任务和多目标集群关联列表
     *
     * @param uavpsAlgorithmTaskFormation 算法任务和多目标集群关联
     * @return 算法任务和多目标集群关联集合
     */
    public List<UavpsAlgorithmTaskFormation> selectUavpsAlgorithmTaskFormationList(UavpsAlgorithmTaskFormation uavpsAlgorithmTaskFormation);

    /**
     * 新增算法任务和多目标集群关联
     *
     * @param uavpsAlgorithmTaskFormation 算法任务和多目标集群关联
     * @return 结果
     */
    public int insertUavpsAlgorithmTaskFormation(UavpsAlgorithmTaskFormation uavpsAlgorithmTaskFormation);

    /**
     * 修改算法任务和多目标集群关联
     *
     * @param uavpsAlgorithmTaskFormation 算法任务和多目标集群关联
     * @return 结果
     */
    public int updateUavpsAlgorithmTaskFormation(UavpsAlgorithmTaskFormation uavpsAlgorithmTaskFormation);

    /**
     * 删除算法任务和多目标集群关联
     *
     * @param algorithmTaskId 算法任务和多目标集群关联主键
     * @return 结果
     */
    public int deleteUavpsAlgorithmTaskFormationByAlgorithmTaskId(Long algorithmTaskId);

    /**
     * 批量删除算法任务和多目标集群关联
     *
     * @param algorithmTaskIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteUavpsAlgorithmTaskFormationByAlgorithmTaskIds(Long[] algorithmTaskIds);

    public int batchTaskFormation(List<UavpsAlgorithmTaskFormation> taskFormationList);

    public int deleteTaskFormationByTaskId(Long algorithmTaskId);

    public List<Long> selectFormationByTaskId(Long taskId);

    public int deleteTaskFormationByTaskIds(Long[] taskIds);

    public List<UavpsMultiTargetFormation> selectFormationListByTaskId(Long taskId);
}
